# GLM_GTX_verbose_operator

GLM_GTX_verbose_operator
GTX Extensions (Experimental)

## Functions

template<typename genTypeT , typename genTypeU >
genTypeT | add (genTypeT const &a, genTypeU const &b)
template<typename genTypeT , typename genTypeU >
genTypeT | div (genTypeT const &a, genTypeU const &b)
template<typename genTypeT , typename genTypeU , typename genTypeV >
genTypeT | mad (genTypeT const &a, genTypeU const &b, genTypeV const &c)
template<typename genTypeT , typename genTypeU >
genTypeT | mul (genTypeT const &a, genTypeU const &b)
template<typename genTypeT , typename genTypeU >
genTypeT | sub (genTypeT const &a, genTypeU const &b)

## Detailed Description

Use words to replace operators.

<glm/gtx/verbose_operator.hpp> need to be included to use these functionalities.

## Function Documentation

genTypeT glm::add | ( | genTypeT const & | a,
|  | genTypeU const & | b
| ) |  |

Addition of two values From GLM_GTX_verbose_operator extension.

genTypeT glm::div | ( | genTypeT const & | a,
|  | genTypeU const & | b
| ) |  |

Division of two values From GLM_GTX_verbose_operator extension.

genTypeT glm::mad | ( | genTypeT const & | a,
|  | genTypeU const & | b,
|  | genTypeV const & | c
| ) |  |

Multiplication and addition of three values From GLM_GTX_verbose_operator extension.

genTypeT glm::mul | ( | genTypeT const & | a,
|  | genTypeU const & | b
| ) |  |

Multiplication of two values From GLM_GTX_verbose_operator extension.

genTypeT glm::sub | ( | genTypeT const & | a,
|  | genTypeU const & | b
| ) |  |

Substration of two values From GLM_GTX_verbose_operator extension.